//**********************************************************************//
//									//
//      shader by siux on 19:03 23.09.01		                //
//									//
//**********************************************************************//

//Gold Light Corona
textures/q3ut_siuxg2/flare001
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/q3ut_siuxg2/flare001.jpg
            blendFunc GL_ONE GL_ONE
          }
}

//Blue Light Corona
textures/q3ut_siuxg2/flare002
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/q3ut_siuxg2/flare002.jpg
            blendFunc GL_ONE GL_ONE
          }
}

//Orange Light Corona
textures/q3ut_siuxg2/flare003
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/q3ut_siuxg2/flare003.jpg
            blendFunc GL_ONE GL_ONE
          }
}

//Green Light Corona
textures/q3ut_siuxg2/flare004
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/q3ut_siuxg2/flare004.jpg
            blendFunc GL_ONE GL_ONE
          }
}

//spider web
textures/q3ut_siuxg2/web
{
	qer_editorimage textures/q3ut_siuxg2/web.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	{
		map textures/q3ut_siuxg2/web.tga
		blendfunc add
		rgbgen identity
	}
}

//wooden trim
textures/q3ut_siuxg2/wood_trim
{
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable

	{
		map textures/q3ut_siuxg2/wood_trim.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//ice edge
textures/q3ut_siuxg2/ice_edge
{
	qer_editorimage textures/q3ut_siuxg2/ice_edge.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable	
	{
		map textures/q3ut_siuxg2/ice_edge.tga
		blendfunc add
		rgbgen identity
	}
}

//ice edge trans
textures/q3ut_siuxg2/ice_edge2
{
	qer_editorimage textures/q3ut_siuxg2/ice_edge.tga
	surfaceparm nomarks
	surfaceparm trans
	cull disable	
	{
		map textures/q3ut_siuxg2/ice_edge.tga
		blendfunc add
		rgbgen identity
	}
}

// ladder clip
textures/q3ut_siuxg2/ladderclip
{
	qer_editorimage textures/q3ut_siuxg2/utladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

// glass
textures/q3ut_siuxg2/glass
{
	qer_editorimage textures/q3ut_siuxg2/siux_edglass.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.3
     
        {
		map textures/q3ut_siuxg2/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}



//	*********************************************************
//	*      Medium clear calm water. half frozen             *
//	*********************************************************
textures/q3ut_siuxg2/liquids/poolfrozen
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .8
	q3map_globaltexture
        surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/q3ut_siuxg2/liquids/pool1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/q3ut_siuxg2/liquids/pool2.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}